Subject: Re: bug#46777: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications

From: "J.P." <[email-masked]>
Date: Thu, 16 Sep 2021 19:16:54 -0700

Amin Bandali <[email-masked]> writes:

> 1. change the function's arguments in a backwards-compatible way
>    (i.e. by adding new &optional args as needed), and ignore the
>    arg we don't need anymore (the password in this case, and
>    make sure we don't accidentally expose it instead of a nick);

I guess ignoring the password arg means some folks currently using this
entry point in lisp code may have to call `erc-nickserv-send-identify'
directly instead, depending on their needs. Works for me, but if that's
the plan, I don't think the version I sent fits the bill entirely.

> From a quick look at J.P.'s revised version of Olivier's patch, it
> looks quite favourable to me

Um, that was mostly me trying out my bandali impersonation (blasphemous,
I know).